# TokyoTyrantQuery::setOrder

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrantQuery::setOrder — Orders results

### Description

public TokyoTyrantQuery::setOrder ( string `$name` , int `$type` ) : mixed

Sets the order of a query

### Parameters

`name`

  The column name to apply the ordering on.

`type`

  The `type` can be one of the following constants:

  - `TokyoTyrant::RDBQO_STRASC` - String ascending
  - `TokyoTyrant::RDBQO_STRDESC` - String descending
  - `TokyoTyrant::RDBQO_NUMASC` - Numberic ascending
  - `TokyoTyrant::RDBQO_NUMDESC` - String descending

### Return Values

This method returns the current object.